> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch latest movie

> This endpoint allows you to get the newest movie ID.



## OpenAPI

````yaml api-reference/TMDB-OAS.yaml get /movie/latest
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /movie/latest:
    get:
      tags:
        - Movies
      summary: Fetch latest movie
      description: This endpoint allows you to get the newest movie ID.
      operationId: fetchLatestMovie
      responses:
        '200':
          description: Fetch movie keywords Copy
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=0
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Fri, 13 Dec 2024 16:37:17 GMT
            ETag:
              schema:
                type: string
                example: W/"0c3420f821305e81dde08efbc608bc17"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 e89d95d090c0c86ecc7b8930e434625c.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: 7eBntC2udIBsF8tC2ih8gllXdgu9NJ_-NV_H1SrRrbyWbu51vA5hUQ==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: MISS
            x-memc-age:
              schema:
                type: string
                example: '0'
            x-memc-expires:
              schema:
                type: string
                example: '0'
            x-memc-key:
              schema:
                type: string
                example: 8ce31d4810563febd72c1dedb3b74cce
          content:
            application/json:
              schema:
                type: object
                properties:
                  adult:
                    type: boolean
                    example: false
                  backdrop_path:
                    nullable: true
                    example: null
                  belongs_to_collection:
                    nullable: true
                    example: null
                  budget:
                    type: number
                    example: 100
                  genres:
                    type: array
                    items: {}
                    example: []
                  homepage:
                    type: string
                    example: ''
                  id:
                    type: number
                    example: 1401723
                  imdb_id:
                    nullable: true
                    example: null
                  origin_country:
                    type: array
                    items:
                      type: string
                      example: TR
                    example:
                      - TR
                  original_language:
                    type: string
                    example: tr
                  original_title:
                    type: string
                    example: Gölge
                  overview:
                    type: string
                    example: ''
                  popularity:
                    type: number
                    example: 0
                  poster_path:
                    nullable: true
                    example: null
                  production_companies:
                    type: array
                    items: {}
                    example: []
                  production_countries:
                    type: array
                    items: {}
                    example: []
                  release_date:
                    type: string
                    example: ''
                  revenue:
                    type: number
                    example: 0
                  runtime:
                    type: number
                    example: 0
                  spoken_languages:
                    type: array
                    items: {}
                    example: []
                  status:
                    type: string
                    example: Released
                  tagline:
                    type: string
                    example: ''
                  title:
                    type: string
                    example: Gölge
                  video:
                    type: boolean
                    example: false
                  vote_average:
                    type: number
                    example: 0
                  vote_count:
                    type: number
                    example: 0
              examples:
                Fetch movie keywords Copy:
                  value:
                    adult: false
                    backdrop_path: null
                    belongs_to_collection: null
                    budget: 100
                    genres: []
                    homepage: ''
                    id: 1401723
                    imdb_id: null
                    origin_country:
                      - TR
                    original_language: tr
                    original_title: Gölge
                    overview: ''
                    popularity: 0
                    poster_path: null
                    production_companies: []
                    production_countries: []
                    release_date: ''
                    revenue: 0
                    runtime: 0
                    spoken_languages: []
                    status: Released
                    tagline: ''
                    title: Gölge
                    video: false
                    vote_average: 0
                    vote_count: 0
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````